
Foreman - Bug #2872

Foreman-debug lists default root password

08/02/2013 06:48 AM - Lukas Zapletal

Status: Closed   

Priority: High   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.2.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Our script foreman-debug tries to filter out all sensitive data.

Unfortunately, at least one password is listed - that is the default root password from the settings table.

We might want to backport this one into 1.2.1.

Associated revisions

Revision 6e6f246c - 08/02/2013 11:27 AM - Lukas Zapletal

fixes #2872 - default password not listed in debug script

Revision 50606333 - 08/05/2013 12:49 PM - Lukas Zapletal

fixes #2872 - default password not listed in debug script

(cherry picked from commit 6e6f246cf315c9c109e65d173db4012809b738cc)

History

#1 - 08/02/2013 06:55 AM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/830

#2 - 08/05/2013 08:50 AM - Dominic Cleal

- Target version changed from 1.3.0 to 1.2.1

#3 - 08/05/2013 09:06 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6e6f246cf315c9c109e65d173db4012809b738cc.
